Subject: bug#35487: Make visiting function from help-mode more customizable

From: Juri Linkov <[email-masked]>
Date: Mon, 29 Apr 2019 22:54:34 +0300

> I often want to visit function from help-mode in `this window' in
> stead of `other window'.  To do so, I found that to revise
> help-function in help-function-def works.
>
> I propose to (1) move help-function described as lambda function out
> of button definition and (2) make function to visit function from
> help-mode customizable.
>
> After the revision, I can visit function from help-mode in `this
> windows' as shown below.

I have exactly the same problem.  Fortunately, we have a powerful
customization mechanism of display-buffer-alist to allow clicking
a link from the *Help* buffer to open source code in the same window:

#+begin_src emacs-lisp
(custom-set-variables
 '(display-buffer-alist
   '((display-buffer-condition-from-help display-buffer-same-window))))

(defun display-buffer-condition-from-help (_buffer-name _action)
  (string-match-p "\\`\\*\\(Help\\)\\*\\(\\|<[0-9]+>\\)\\'" (buffer-name (current-buffer))))
#+end_src